Subject: Re: bug#12579: 24.1; Emacs 24.1 / 24.2 (daily) crashes

From: Eli Zaretskii <[email-masked]>
Date: Fri, 09 Nov 2012 00:12:03 +0200

> From: "Fabrice Niessen" <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Thu, 08 Nov 2012 23:04:40 +0100
> 
> My gut feeling is also that `es.exe' is (co-)responsible. In fact, this is more
> than a gut feeling, as it's somehow based on a beam of presumptions:
> 
> - with the latest versions of Emacs, the infloop always occur when using
>   helm-for-files (never, for example, when using helm-M-x, which is the other
>   tool I'm using, as frequently, from Helm)
> 
> - `es.exe' is launched after having typed at least 3 characters in the prompt,
>   and I've never seen an infloop with less characters (that is, only one or
>   two) typed at the prompt: I always have typed a pattern of at least 5 to 6
>   chars before the freeze occurs (sometimes, even much more, when being
>   deleting many characters because I typed an fault in the filename I'm after)
> 
> - on Monday, after having gotten several frozen Emacs (since the last reboot
>   of Windows -- once every 3 weeks or so), I had noticed up to 7 instances of
>   `es.exe' (I guess they were hanging as some zombies, though I don't know to
>   prove this -- any idea?)

How (with what compiler) was es.exe compiled?  Was MinGW GCC, Cygwin
GCC, MSVC, something else?

> Does this give you more trust into Thierry's assumption?

Not really.  I'd need to know much more about es.exe, like how it
communicates with Emacs, and how it differs from any other
garden-variety of console programs, like locate.exe itself, before I
could make up my mind about this.